#!/bin/bash
php artisan key:generate && php artisan config:clear && php artisan cache:clear

until pg_isready -h postgres -p 5432
do
    echo "."
    sleep 1
done
sleep 2

php artisan migrate:fresh --seed

php-fpm --daemonize
# keep this process running forever so that the docker container does not shut down
tail -f /dev/null