import dotenv
import os
from typing import Dict, List

pw_keys: List[str] = ["ELASTICSEARCH_PASSWORD"]
dotenv_file: str = ".env"
dotenv.load_dotenv(dotenv_file)
user_names: List[str] = [os.environ["ELASTICSEARCH_USERNAME"]]
name_pw_dict: Dict[str, str] = {}
target_key: str = ""
for line in open("es_pw.txt").readlines():
    # remove newline character at the end
    line = line[:-1]
    if target_key:
        name_pw_dict[target_key] = line.split(" = ")[1]
        target_key = ""
    for name in user_names:
        if line.endswith(name):
            target_key = name
for key in name_pw_dict:
    idx: int = user_names.index(key)
    os.environ[pw_keys[idx]] = name_pw_dict[key]
    dotenv.set_key(dotenv_file, pw_keys[idx], name_pw_dict[key])
    
    
lpw_keys: List[str] = ["ELASTICSEARCH_PASS"]
ldotenv_file: str = "laudatio.env"
dotenv.load_dotenv(ldotenv_file,override=True)

luser_names: List[str] = [os.environ["ELASTICSEARCH_USER"]]
lname_pw_dict: Dict[str, str] = {}
ltarget_key: str = ""
for lline in open("es_pw.txt").readlines():
    # remove newline character at the end
    lline = lline[:-1]
    if ltarget_key:
        lname_pw_dict[ltarget_key] = lline.split(" = ")[1]
        ltarget_key = ""
    for lname in luser_names:
        if lline.endswith(lname):
            ltarget_key = lname

            
for lkey in lname_pw_dict:
    lidx: int = luser_names.index(lkey)
    os.environ[lpw_keys[lidx]] = lname_pw_dict[lkey]
    dotenv.set_key(ldotenv_file, lpw_keys[lidx], lname_pw_dict[lkey])
